/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmonthlyplan.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workmonthlyplan.entity.WorkMonthlyPlanThis;
import com.jeeplus.modules.workmonthlyplan.dao.WorkMonthlyPlanThisDao;

/**
 * 本月计划Service
 * @author cyp
 * @version 2018-06-27
 */
@Service
@Transactional(readOnly = true)
public class WorkMonthlyPlanThisService extends CrudService<WorkMonthlyPlanThisDao, WorkMonthlyPlanThis> {

	public WorkMonthlyPlanThis get(String id) {
		return super.get(id);
	}

	/**
	 * 获取列表
	 * @param workMonthlyPlanThis
	 * @return
	 */
	public List<WorkMonthlyPlanThis> findList(WorkMonthlyPlanThis workMonthlyPlanThis) {
		return super.findList(workMonthlyPlanThis);
	}
	/**
	 * 分页
	 * @param workMonthlyPlanThis
	 * @return
	 */
	public Page<WorkMonthlyPlanThis> findPage(Page<WorkMonthlyPlanThis> page, WorkMonthlyPlanThis workMonthlyPlanThis) {
		return super.findPage(page, workMonthlyPlanThis);
	}
	/**
	 * 保存
	 * @param workMonthlyPlanThis
	 * @return
	 */
	@Transactional(readOnly = false)
	public void save(WorkMonthlyPlanThis workMonthlyPlanThis) {
		super.save(workMonthlyPlanThis);
	}
	/**
	 * 删除
	 * @param workMonthlyPlanThis
	 * @return
	 */
	@Transactional(readOnly = false)
	public void delete(WorkMonthlyPlanThis workMonthlyPlanThis) {
		super.delete(workMonthlyPlanThis);
	}
}